ReadySetGoParser Class Reference documentation

ReadySetGoParser Class Referencefinal

the main class to read a ReadySetGo 1.0,2.1,3.0,4.0,4.5 file More...

`#include <ReadySetGoParser.hxx>`

Inheritance diagram for ReadySetGoParser:

## Public Member Functions
| ReadySetGoParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~ReadySetGoParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | send (ReadySetGoParserInternal::Shape const &shape)
| try to send a shape
bool | sendText (ReadySetGoParserInternal::Shape const &shape)
| try to send the text corresponding to a shape
bool | updateTextBoxLinks ()
| try to update the textboxes link: v3
bool | createZones ()
| finds the different objects zones
bool | readDocument ()
| try to read the document header: v3
bool | readLayoutsList ()
| try to read the layout list: v3
bool | readIdsList ()
| try to read an unknown list of IDs: v3
bool | readStyles ()
| try to read the list of style block: v4
bool | readGlossary ()
| try to read the glossary list: v4
bool | readFontsBlock ()
| try to read the list of font block: unsure, name + data?, v5
bool | readShapeV1 ()
| try to read a shape: v1
bool | readShapeV2 (ReadySetGoParserInternal::Layout &layout)
| try to read a shape: v2
bool | readShapeV3 (ReadySetGoParserInternal::Layout &layout, bool &last)
| try to read a shape: v3
bool | readStyle (MWAWFont &font, MWAWParagraph &para, int *cPos=nullptr)
| try to read a style: v3
bool | readTabulationsV1 (std::vector< MWAWTabStop > &tabulations, std::string &extra)
| try to read a list of tabulations: v1-2
bool | readTabulations (std::vector< MWAWTabStop > &tabs, long len=-1, int *cPos=nullptr)
| try to read a list of tabulations: v3
bool | readPrintInfo ()
| try to read the print info zone
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< ReadySetGoParserInternal::State > | m_state
| the state

## Friends
class | ReadySetGoParserInternal::SubDocument

## Detailed Description

the main class to read a ReadySetGo 1.0,2.1,3.0,4.0,4.5 file

## Constructor & Destructor Documentation

## ◆ ReadySetGoParser()

ReadySetGoParser::ReadySetGoParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~ReadySetGoParser()

ReadySetGoParser::~ReadySetGoParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool ReadySetGoParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse(), and ReadySetGoParserInternal::SubDocument.

## ◆ createDocument()

void ReadySetGoParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse(), and ReadySetGoParserInternal::SubDocument.

## ◆ createZones()

bool ReadySetGoParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse(), and ReadySetGoParserInternal::SubDocument.

## ◆ parse()

void ReadySetGoParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWGraphicParser.

Referenced by ReadySetGoParserInternal::SubDocument.

## ◆ readDocument()

bool ReadySetGoParser::readDocument | ( |  | ) |
| protected

try to read the document header: v3

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readFontsBlock()

bool ReadySetGoParser::readFontsBlock | ( |  | ) |
| protected

try to read the list of font block: unsure, name + data?, v5

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readGlossary()

bool ReadySetGoParser::readGlossary | ( |  | ) |
| protected

try to read the glossary list: v4

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readIdsList()

bool ReadySetGoParser::readIdsList | ( |  | ) |
| protected

try to read an unknown list of IDs: v3

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readLayoutsList()

bool ReadySetGoParser::readLayoutsList | ( |  | ) |
| protected

try to read the layout list: v3

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readPrintInfo()

bool ReadySetGoParser::readPrintInfo | ( |  | ) |
| protected

try to read the print info zone

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readShapeV1()

bool ReadySetGoParser::readShapeV1 | ( |  | ) |
| protected

try to read a shape: v1

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readShapeV2()

bool ReadySetGoParser::readShapeV2 | ( | ReadySetGoParserInternal::Layout & | layout | ) |
| protected

try to read a shape: v2

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readShapeV3()

bool ReadySetGoParser::readShapeV3 | ( | ReadySetGoParserInternal::Layout & | layout,
|  | bool & | last )
| protected

try to read a shape: v3

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readStyle()

bool ReadySetGoParser::readStyle | ( | MWAWFont & | font,
|  | MWAWParagraph & | para,
|  | int * | cPos = nullptr )
| protected

try to read a style: v3

Referenced by readGlossary(), readStyles(), ReadySetGoParserInternal::SubDocument, and sendText().

## ◆ readStyles()

bool ReadySetGoParser::readStyles | ( |  | ) |
| protected

try to read the list of style block: v4

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## ◆ readTabulations()

bool ReadySetGoParser::readTabulations | ( | std::vector< MWAWTabStop > & | tabs,
|  | long | len = -1,
|  | int * | cPos = nullptr )
| protected

try to read a list of tabulations: v3

Referenced by readGlossary(), readStyles(), ReadySetGoParserInternal::SubDocument, and sendText().

## ◆ readTabulationsV1()

bool ReadySetGoParser::readTabulationsV1 | ( | std::vector< MWAWTabStop > & | tabulations,
|  | std::string & | extra )
| protected

try to read a list of tabulations: v1-2

Referenced by readShapeV1(), readShapeV2(), and ReadySetGoParserInternal::SubDocument.

## ◆ send()

bool ReadySetGoParser::send | ( | ReadySetGoParserInternal::Shape const & | shape | ) |
| protected

try to send a shape

Referenced by createDocument(), parse(), and ReadySetGoParserInternal::SubDocument.

## ◆ sendText()

bool ReadySetGoParser::sendText | ( | ReadySetGoParserInternal::Shape const & | shape | ) |
| protected

try to send the text corresponding to a shape

Referenced by ReadySetGoParserInternal::SubDocument.

## ◆ updateTextBoxLinks()

bool ReadySetGoParser::updateTextBoxLinks | ( |  | ) |
| protected

try to update the textboxes link: v3

Referenced by createZones(), and ReadySetGoParserInternal::SubDocument.

## Friends And Related Symbol Documentation

## ◆ ReadySetGoParserInternal::SubDocument

friend class ReadySetGoParserInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_state

std::shared_ptr<ReadySetGoParserInternal::State> ReadySetGoParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), parse(), readDocument(), readGlossary(), readLayoutsList(), readShapeV1(), readShapeV3(), readStyle(), readStyles(), ReadySetGoParser(), and updateTextBoxLinks().

The documentation for this class was generated from the following files:

- ReadySetGoParser.hxx
- ReadySetGoParser.cxx